###  Table I Models

setwd("D:/My Documents/Google Drive/Academic/Research/Secret Alliances/Stats/Replication")

###  Load R Packages
library(nnet)
library(McSpatial)

##################################
###  Main Document, Table I
####  Model 1
data<-read.csv("archive data.csv", header=T)
model1<- glm(secret ~ sec + cinc + major + open.sum + mid + rival + igo + reneg5 + lenergy + lprod, data=data, family="binomial"(link="logit"))

####  Model 2
mdata <- read.csv("sec match main.csv", header=T)
model2 <- glm(secret ~  sec + open.sum + cinc + major + mid + rival + igo + reneg5 + lenergy + lprod + distance, data=mdata, family="binomial"(link="logit"))

####  Model 3
wmem1<-read.csv("wmem1.csv", header=F)
wmem1<-wmem1[-1,]
wmem1[,1]<-NULL
wmem1<-as.matrix(wmem1)
diag(wmem1)<-0

wmem2<-read.csv("wmem2.csv", header=F)
wmem2<-wmem2[-1,]
wmem2[,1]<-NULL
wmem2<-as.matrix(wmem2)
diag(wmem2)<-0

wmem3<-read.csv("wmem3.csv", header=F)
wmem3<-wmem3[-1,]
wmem3[,1]<-NULL
wmem3<-as.matrix(wmem3)
diag(wmem3)<-0

wmem <- wmem1 + wmem2 + wmem3

enn <- dim(wmem)[1]
for(i in 1:enn){
  row<-sum(wmem[i,])
  ifelse(row==0, wmem[1,]<-0, wmem[i,]<-wmem[i,]/row)
}

form <- secret ~  sec + open.sum + cinc + major + mid + rival + igo + reneg5 + lenergy + lprod + distance
test <- splogit(form, inst=NULL, winst=NULL, wmat=wmem, data=mdata, silent=FALSE)

####  Model 4
adata <- read.csv("kadic main.csv", header=T)
model4 <- glm(secret ~ sec.sum + open.sum + cinc + major + energy + prod + def5sum + mid + rival + igo, data=adata, family=binomial(link="logit"))


##################################
###  Main Document, Table II
data <- read.csv("multinom data.csv", header=T)
fit.ml <- multinom(pubsecr ~ sec.sum + open.sum + cinc + major + energy + prod + def5sum + mid + rival + igo, data=data, maxit=1000)


##################################
###  Appendix, Table I
data1 <- read.csv("two stage data.csv", header=T)
fit1 <- glm(ally ~ open.sum + cinc + major + energy + prod + def5sum + mid + rival + igo, data=data1, maxit=1000, family=binomial(link="logit"))
data1$resid <- residuals(fit1)
fit2 <- glm(secret ~ sec.sum + resid + open.sum + cinc + major + energy + prod + def5sum + mid + rival + igo, data=data1, family=binomial(link="logit"))


##################################
###  Appendix, Table II
####  Observed Data
data <- read.csv("data_public.csv", header=T)
model1 <- glm(secret ~ public + sec + cinc + major + open.sum + mid + rival + igo + reneg5 + lenergy + lprod, data=data, family="binomial"(link="logit"))

####  Matched Data
data_match <- read.csv("data_public_match.csv", header=T)
model2 <- glm(secret ~ public + sec + cinc + major + open.sum + mid + rival + igo + reneg5 + lenergy + lprod + distance, data=data_match, family="binomial"(link="logit"))

####  Spatial Model
wmem1<-read.csv("pub wmem1.csv", header=F)
wmem1<-wmem1[-1,]
wmem1[,1]<-NULL
wmem1<-as.matrix(wmem1)
diag(wmem1)<-0

wmem2<-read.csv("pub wmem2.csv", header=F)
wmem2<-wmem2[-1,]
wmem2[,1]<-NULL
wmem2<-as.matrix(wmem2)
diag(wmem2)<-0

wmem3<-read.csv("pub wmem3.csv", header=F)
wmem3<-wmem3[-1,]
wmem3[,1]<-NULL
wmem3<-as.matrix(wmem3)
diag(wmem3)<-0

wmem <- wmem1 + wmem2 + wmem3

enn <- dim(wmem)[1]
for(i in 1:enn){
  row<-sum(wmem[i,])
  ifelse(row==0, wmem[1,]<-0, wmem[i,]<-wmem[i,]/row)
}

form <- secret ~ public + sec + cinc + major + open.sum + mid + rival + igo + reneg5 + lenergy + lprod + distance
test <- splogit(form, inst=NULL, winst=NULL, wmat=wmem, data=data_match, silent=FALSE)


##################################
###  Appendix, Table III

data <- read.csv("archive data.csv", header=T)

model1 <- glm(termc68_sec ~ sub_pub_ind + cinc + major + open.sum + mid + rival + igo + reneg5 + lenergy + lprod, data=data, family="binomial"(link="logit"))
model3 <- glm(termc68_sec ~ sub_maj_pub_ind + cinc + major + open.sum + mid + rival + igo + reneg5 + lenergy + lprod, data=data, family="binomial"(link="logit"))

data.pub <- read.csv("pubfail match 1.csv", header=T)
model2 <- glm(termc68_sec ~ sub_pub_ind  + cinc + major + open.sum + mid + rival + igo + reneg5 + lenergy + lprod, data=data.pub, family="binomial"(link="logit"))

data.pub <- read.csv("pubfail match 2.csv", header=T)
model4 <- glm(termc68_sec ~ sub_maj_pub_ind  + cinc + major + open.sum + mid + rival + igo + reneg5 + lenergy + lprod, data=data.pub, family="binomial"(link="logit"))


##################################
###  Appendix, Table IV
####  Model 1
data<-read.csv("archive data.csv", header=T)
model1 <- glm(secret ~ sec + lead + cinc + major + lenergy + lprod + open.sum + mid + rival + igo + reneg5, data=data, family=binomial(link="logit"))

####  Model 2
data.sec <- read.csv("sec match.csv", header=T)
model2 <- glm(secret ~ sec + lead + open.sum + cinc + major + lenergy + lprod + mid + rival + igo + reneg5 + distance, data=data.sec, family=binomial(link="logit"))

####  Model 3
wmem1<-read.csv("sec wmem1.csv", header=F)
wmem1<-wmem1[-1,]
wmem1[,1]<-NULL
wmem1<-as.matrix(wmem1)
diag(wmem1)<-0

wmem2<-read.csv("sec wmem2.csv", header=F)
wmem2<-wmem2[-1,]
wmem2[,1]<-NULL
wmem2<-as.matrix(wmem2)
diag(wmem2)<-0

wmem3<-read.csv("sec wmem3.csv", header=F)
wmem3<-wmem3[-1,]
wmem3[,1]<-NULL
wmem3<-as.matrix(wmem3)
diag(wmem3)<-0

wmem <- wmem1 + wmem2 + wmem3

enn <- dim(wmem)[1]
for(i in 1:enn){
  row<-sum(wmem[i,])
  ifelse(row==0, wmem[1,]<-0, wmem[i,]<-wmem[i,]/row)
}

form <- secret ~ sec + lead + open.sum + cinc + major + mid + rival + igo + reneg5 + lenergy + lprod + distance
test <- splogit(form, inst=NULL, winst=NULL, wmat=wmem, data=data.sec, silent=FALSE)

####  Model 4
data <- read.csv("kadic lead.csv", header=T)
model4 <- glm(secret ~ sec.sum + lead + open.sum + cinc + major + energy + prod + def5sum + mid + rival + igo, data=data, family=binomial(link="logit"))